Set a line aside
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Processor fee"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Processor fee'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore"
payload = { "reason": "Processor fee" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Reconciliations
Set a line aside
Sets a line aside as not an adoption payment, such as a donation, a processor fee or a transfer, and says why. A matched line must be unmatched first. Needs write on Animals.
POST
/
api
/
animals
/
reconciliations
/
{id}
/
lines
/
{lineId}
/
ignore
Set a line aside
curl --request POST \
--url https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "Processor fee"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'Processor fee'})
};
fetch('https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/reconciliations/{id}/lines/{lineId}/ignore"
payload = { "reason": "Processor fee" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"reconciliation": {
"id": "<string>",
"label": "<string>",
"status": "open",
"line_count": 123,
"matched_count": 123,
"unmatched_count": 123,
"ignored_count": 123,
"verifiable_count": 123,
"matched_cents": 123,
"unmatched_cents": 123,
"gateway": "stripe",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"closed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}Authorizations
An API key from Settings, API keys. It starts with rc_live_.
Body
application/json
Why it is not an adoption payment.
Response
The import.
One import of a processor's settlement file, with its counts.
Show child attributes
Show child attributes